NKN MainNet v2.0.6 Release

We released a new mainnet version v2.0.6 at https://github.com/nknorg/nkn/releases. This version fixed the bug that caused block syncing fail at certain block. We recommend everyone to upgrade to avoid existing or future block syncing failure.

Starting from last version v2.0.5, minimal Golang version required is 1.13. If you are running old 1-click node from DO/GCP/AWS, you can ssh into the machine, copy and paste this line to terminal to upgrade Golang:

curl https://gist.githubusercontent.com/yilunzhang/2f5edffc16c2b6a999c33cb1c13d6728/raw/4101eee4b5e4a1406accbdf3ddeb1dc40189c484/nkn-old-1-click-upgrade-golang.sh | sh

How to Upgrade

  • If you are using nkn-commercial or nknx fast deploy, you don’t need to do anything.
  • If you are using one-click on DO/AWS/Google Cloud, you just need to stop and restart and miner and it will upgrade automatically.
  • If you downloaded the release version, you just need to download it again at https://github.com/nknorg/nkn/releases , replace files and start nknd again
  • If you build from scratch, you just need to do the build again.
  • If you are using some scripts or tutorials that has auto-updater, then it should be automatic if the auto-updater is working properly.

We don’t recommend anyone to download the ChainDB snapshot manually, but if you really want or need, you can use https://nkn.org/ChainDB_pruned_latest.zip or https://nkn.org/ChainDB_pruned_latest.tar.gz for pruned ChainDB.